%define	desktop_vendor 	endur
%define name 		xdigger
%define version 	1.0.10
%define release 	251%{?dist}


Summary: A Boulderdash like game for X Windows
Name: %{name}
License: GPLv2
Group: Amusements/Games
Source: ftp://metalab.unc.edu/pub/Linux/games/arcade/xdigger-%{version}.tgz
Version: %{version}
Release: %{release}
BuildRoot: %{_tmppath}/%{name}-%{version}
Patch: %{name}-%{version}.dif
Patch1: %{name}-%{version}-ia64.patch
Patch2: %{name}-%{version}-arg-count.patch
Requires: xorg-x11-server-Xorg
BuildRequires: imake, desktop-file-utils

%description
The original KC85 - Digger rewritten for X11
Like Boulderdash (without scrolling).

Authors:
--------
    Alexander Lang <lang@mueritz-comp.de>

%prep
%setup -q
%patch
%patch1
%patch2 -p1 -b .%{name}-%{version}-arg-count.patch

%build
xmkmf -a
make %{?_smp_mflags} CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install install.man
chmod a+w %{buildroot}/var/X11R6/scores/xdigger.hiscore

cat > %{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A Boulderdash like game for X Windows
Exec=/usr/X11R6/bin/xdigger
Icon=/usr/X11R6/include/X11/pixmaps/xdigger.xpm
Terminal=false
Type=Application
Categories=Application;Game;ArcadeGame;
Encoding=UTF-8
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications              \
  --add-category X-Fedora                                 \
  --add-category Game                                     \
  %{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(2755, root, games)/usr/X11R6/bin/xdigger
%dir /usr/X11R6/lib/X11/xdigger
/usr/X11R6/lib/X11/xdigger/xdigger.level
%dir /var/X11R6
%dir /var/X11R6/scores
%attr(664, root, games)/var/X11R6/scores/xdigger.hiscore
/usr/X11R6/include/X11/pixmaps/xdigger.xpm
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%doc COPYING ChangeLog README
%{_mandir}/man6/*


%changelog
* Tue Nov  5 2019 endur <endur@thinkpad.localdomain> - 1.0.10-251%{?dist}
- Rebuild for Fedora 31

* Tue Apr 30 2019 endur <endur@thinkpad.localdomain> - 1.0.10-250
-  Rebuild for Fedora 30

* Fri Nov  2 2018 endur <endur@thinkpad.localdomain> - 1.0.10-249
- Rebuild for Fedora 29

* Thu May  3 2018 endur <endur@thinkpad.localdomain> - 1.0.10-248
- Rebuild for Fedora 28

* Wed Nov  8 2017 endur <endur@thinkpad.localdomain> - 1.0.10-247
- Rebuild for Fedora 27

* Sun Jul  9 2017 endur <endur@thinkpad.localdomain> - 1.0.10-246
- Rebuild for Fedora 26

* Wed Nov 23 2016 endur <endur@thinkpad.localdomain> - 1.0.10-245
- Rebuild for Fedora 25

* Thu Jun 23 2016 endur <endur@thinkpad.localdomain> - 1.0.10-244
- Rebuild for Fedora 24 

* Sun Nov  1 2015 endur <endur@thinkpad.localdomain> - 1.0.10-243
- Rebuild for Fedora 23

* Fri May 29 2015 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-242
- Rebuild for Fedora 22

* Wed Dec 10 2014 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-241
- Rebuild for Fedora 21

* Sat Dec 07 2013 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-240
- Rebuild for Fedora 20

* Wed Jun 19 2013 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-239
- Rebuild for Fedora 19

* Thu Jan 17 2013 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-238
- Rebuild for Fedora 18

* Thu May 31 2012 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-237
- Rebuild for Fedora 17

* Mon Nov 21 2011 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-236
- Rebuild for Fedora 16

* Sat May 28 2011 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-235
- Rebuild for Fedora 15

* Fri Oct 29 2010 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-234
- Rebuild for Fedora 14 

* Wed May 26 2010 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-233
- Rebuild for Fedora 13

* Sat Nov 14 2009 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-232
- Rebuild for Fedora 12
- Patch added to fix changed argument count at xdigger.c line 313

* Sat Jun 13 2009 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-231
- Rebuild for Fedora 11

* Fri Nov 28 2008 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-230
- Rebuild for Fedora 10 

* Tue May 20 2008 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-229
- Rebuild for Fedora 9
- binary path for digger.desktop now required

* Tue Nov 13 2007 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-228
- Rebuild for Fedora 8

* Sun Jun  3 2007 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-227
- Rebuild for Fedora 7
- Category application removed to match desktop entry specification

* Sat Oct 28 2006 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-226
- Rebuild for Fedora Core 6

* Fri Mar 24 2006 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-225
- Increased release, %{?dist} added, rebuild for Fedora Core 5
- Requires changed, matching the modular X11 of FC5
- imake added to BuildRequires because it contains xmkmf now
- xorg-x11-devel removed from BuildRequires
- mandir changed
- encoding and categories added to the desktop entry

* Thu Jun 16 2005 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.10-224
- Rebuild for Fedora Core 4 

* Wed Nov 10 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for Fedora Core 3

* Thu Jun 03 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Deps updated in order to match Fedora Core 2 (comes with xorg-x11)
- Rebuild for Fedora Core 2

* Sun Nov 09 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for Fedora Core 1

* Sat Apr 05 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for RH9

* Fri Nov 15 2002 Matthias Haase <matthias_haase@bennewitz.com>
- Initial build for RH 8.0
